Data Fields

# arm_cfft_radix4_instance_q15 Struct Reference

Instance structure for the Q15 CFFT/CIFFT function. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | fftLen
uint8_t | ifftFlag
uint8_t | bitReverseFlag
q15_t * | pTwiddle
uint16_t * | pBitRevTable
uint16_t | twidCoefModifier
uint16_t | bitRevFactor

## Detailed Description

Instance structure for the Q15 CFFT/CIFFT function.

Definition at line 1889 of file arm_math.h.

## Field Documentation

uint16_t arm_cfft_radix4_instance_q15::fftLen

length of the FFT.

Definition at line 1891 of file arm_math.h.

uint8_t arm_cfft_radix4_instance_q15::ifftFlag

flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.

Definition at line 1892 of file arm_math.h.

uint8_t arm_cfft_radix4_instance_q15::bitReverseFlag

flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

Definition at line 1893 of file arm_math.h.

q15_t* arm_cfft_radix4_instance_q15::pTwiddle

points to the twiddle factor table.

Definition at line 1894 of file arm_math.h.

uint16_t* arm_cfft_radix4_instance_q15::pBitRevTable

points to the bit reversal table.

Definition at line 1895 of file arm_math.h.

uint16_t arm_cfft_radix4_instance_q15::twidCoefModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Definition at line 1896 of file arm_math.h.

uint16_t arm_cfft_radix4_instance_q15::bitRevFactor

bit reversal modifier that supports different size FFTs with the same bit reversal table.

Definition at line 1897 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines